module.exports = {
	//把组合购的商品价格计算出来,同时每个会员都有购买组合商品的上限！ladder_b_num是已经购买了多少件
	get_goods: function(th,stoid,sort) {
	    th.setData({backhead_sort:sort});
	    var r_code='10';
	    //获取黑头的类型
        var blackhead_segs_type=th.data.face_data.blackheadpore.blackhead_segs_type;
        //去掉重复
        var set= blackhead_segs_type.filter(function (element, index, self) {
            return self.indexOf(element) === index;
        })
        var re_word=set.join(',');
        //-- 服务卡 --
        var  url="/api/weshop/serviceCard/page?orderField=RAND()&recommend_code="
            +r_code+"&store_id="+stoid+"&recommend_word="+re_word+"&pageSize=2"+"&skinface_id="+th.data.id+"&user_id="+getApp().globalData.user_id;
        getApp().request.promiseGet(url, {}).then(res=>{
            if(res.data.code==0 && res.data.data && res.data.data.pageData && res.data.data.pageData.length>0){
                th.setData({blackhead_fuwu:res.data.data.pageData})
            }
        })

        //-- 商品 --
		var  url="/api/weshop/goods/page?orderField=RAND()&recommend_code="
            +r_code+"&store_id="+stoid+"&recommend_word="+re_word+"&pageSize=2"+"&skinface_id="+th.data.id+"&user_id="+getApp().globalData.user_id;
		getApp().request.promiseGet(url, {}).then(res=>{
          if(res.data.code==0 && res.data.data && res.data.data.pageData && res.data.data.pageData.length>0){
              th.setData({blackhead_goods:res.data.data.pageData})
          }
        })

         // 优惠券
         var  url="/api/weshop/prom/coupon/pageCouponList?orderField=RAND()&recommend_code="+r_code+"&store_id="+stoid+"&recommend_word="+re_word+"&pageSize=2"+"&skinface_id="+th.data.id+"&user_id="+getApp().globalData.user_id;
         getApp().request.promiseGet(url, {}).then(res=>{
           if(res.data.code==0 && res.data.data && res.data.data.pageData && res.data.data.pageData.length>0){
               var arr=res.data.data.pageData;
               arr.map(function (e) {
                   e.q_word='blackhead_quan_list';
                   return e;
               })
               th.setData({blackhead_quan_list:arr});
           }
         })

	},
}
